Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class SemanticDetailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              polyglot.types.SemanticException
                  jif.types.SemanticDetailedException

All Implemented Interfaces:
  java.io.Serializable

    public class SemanticDetailedException

extends polyglot.types.SemanticException

Allow a more detailed message if requested.

See Also:
  Serialized Form

Field Summary

Fields inherited from class polyglot.types.SemanticException
`fillInStackTrace, position`

Constructor Summary
`SemanticDetailedException()`
`SemanticDetailedException(polyglot.util.Position position)`
`SemanticDetailedException(java.lang.String m)`
`SemanticDetailedException(java.lang.String m, java.lang.String detailed)`
`SemanticDetailedException(java.lang.String m, java.lang.String detailed, polyglot.util.Position position)`
`SemanticDetailedException(java.lang.String m, java.lang.String detailed, java.lang.Throwable cause)`
`SemanticDetailedException(java.lang.String m, java.lang.Throwable cause)`
`SemanticDetailedException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class polyglot.types.SemanticException
`fillInStackTrace, position`

Methods inherited from class java.lang.Throwable
`getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SemanticDetailedException

    public SemanticDetailedException()

### SemanticDetailedException

    public SemanticDetailedException(java.lang.Throwable cause)

### SemanticDetailedException

    public SemanticDetailedException(polyglot.util.Position position)

### SemanticDetailedException

    public SemanticDetailedException(java.lang.String m)

### SemanticDetailedException

    public SemanticDetailedException(java.lang.String m,
                                     java.lang.String detailed)

### SemanticDetailedException

    public SemanticDetailedException(java.lang.String m,
                                     java.lang.Throwable cause)

### SemanticDetailedException

    public SemanticDetailedException(java.lang.String m,
                                     java.lang.String detailed,
                                     java.lang.Throwable cause)

### SemanticDetailedException

    public SemanticDetailedException(java.lang.String m,
                                     java.lang.String detailed,
                                     polyglot.util.Position position)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD